
Redmine - Defect #4880

ERROR SignalException: SIGTERM

2010-02-18 22:34 - Christian Gagneraud

Status: Closed Start date: 2010-02-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.0

Description

I wanted to stop redmine with a 'kill <PID>', and I got:

[2010-02-18 21:29:26] ERROR SignalException: SIGTERM

/usr/lib/ruby/1.8/webrick/server.rb:91:in `select'

Stopping it with CTRL-C works fine.

I'm running 0.9-stable freshly checked out.

History

#1 - 2010-02-18 22:37 - Christian Gagneraud

And actually redmine doesn't QUIT, a kill -INT did the job

#2 - 2010-02-19 10:04 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

I think this is more webrick (the "rails webserver") related than redmine related. In fact, googling for "SIGTERM webrick" lead me to this page 

http://oldwiki.rubyonrails.org/rails/pages/WEBrick which clearly states that webrick only stops on SIGINT, so this is expected behavior.

On a related note, depending on what you do with your redmine (more or less anything else that testing/developing) and what platform you're on, I'd

strongly suggest using mongrel/thin/passenger (the later being imho the best, but you need apache or nginx for it, but I have it running nicely on my

MacBook Pro with the OS X provided apache for development for example) to serve your redmine.
